Get test run history for a specific test
Retrieves paginated execution history for a specific assistant test with filtering options
GET
/
ai
/
assistants
/
tests
/
{test_id}
/
runs
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const testRunResponse of client.ai.assistants.tests.runs.list('test_id')) {
console.log(testRunResponse.run_id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.ai.assistants.tests.runs.list(
test_id="test_id",
)
page = page.data[0]
print(page.run_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.AI.Assistants.Tests.Runs.List(
context.TODO(),
"test_id",
telnyx.AIAssistantTestRunListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tests.runs.RunListPage;
import com.telnyx.sdk.models.ai.assistants.tests.runs.RunListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RunListPage page = client.ai().assistants().tests().runs().list("test_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.ai.assistants.tests.runs.list("test_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->ai->assistants->tests->runs->list(
'test_id', pageNumber: 0, pageSize: 0, status: 'status'
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:assistants:tests:runs list \
--api-key 'My API Key' \
--test-id test_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/assistants/tests/{test_id}/runs \
--header 'Authorization: Bearer <token>'{
"meta": {
"total_pages": 123,
"total_results": 123,
"page_number": 123,
"page_size": 123
},
"data": [
{
"run_id": "987fcdeb-51a2-43d1-b456-426614174000",
"test_id": "123e4567-e89b-12d3-a456-426614174000",
"triggered_by": "cron",
"created_at": "2024-01-24T10:30:00Z",
"completed_at": "2023-11-07T05:31:56Z",
"logs": "<string>",
"conversation_id": "<string>",
"conversation_insights_id": "<string>",
"test_suite_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"detail_status": [
{
"name": "<string>"
}
]
}
]
}{
"detail": [
{
"loc": [
"body",
"name"
],
"msg": "Field required",
"type": "missing"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the test.
Query Parameters
Filter runs by execution status (pending, running, completed, failed, timeout)
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Response
Returns paginated list of test runs for the specified test
Paginated list of test runs with metadata.
Returns test run execution results with pagination support for handling large numbers of test executions.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const testRunResponse of client.ai.assistants.tests.runs.list('test_id')) {
console.log(testRunResponse.run_id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.ai.assistants.tests.runs.list(
test_id="test_id",
)
page = page.data[0]
print(page.run_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.AI.Assistants.Tests.Runs.List(
context.TODO(),
"test_id",
telnyx.AIAssistantTestRunListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tests.runs.RunListPage;
import com.telnyx.sdk.models.ai.assistants.tests.runs.RunListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RunListPage page = client.ai().assistants().tests().runs().list("test_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.ai.assistants.tests.runs.list("test_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->ai->assistants->tests->runs->list(
'test_id', pageNumber: 0, pageSize: 0, status: 'status'
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:assistants:tests:runs list \
--api-key 'My API Key' \
--test-id test_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/assistants/tests/{test_id}/runs \
--header 'Authorization: Bearer <token>'{
"meta": {
"total_pages": 123,
"total_results": 123,
"page_number": 123,
"page_size": 123
},
"data": [
{
"run_id": "987fcdeb-51a2-43d1-b456-426614174000",
"test_id": "123e4567-e89b-12d3-a456-426614174000",
"triggered_by": "cron",
"created_at": "2024-01-24T10:30:00Z",
"completed_at": "2023-11-07T05:31:56Z",
"logs": "<string>",
"conversation_id": "<string>",
"conversation_insights_id": "<string>",
"test_suite_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"detail_status": [
{
"name": "<string>"
}
]
}
]
}{
"detail": [
{
"loc": [
"body",
"name"
],
"msg": "Field required",
"type": "missing"
}
]
}